package org.netkernel.servlet.http;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.module.standard.endpoint.ConfiguredOverlayImpl;


public class HTTPBridgeOverlay extends ConfiguredOverlayImpl
  {
  private HTTPBridgeOverlayConfig mConfig;

  public HTTPBridgeOverlay()
    {
    declareThreadSafe();
    declareUnhandledExceptionsExpired(false);
    }

  @Override
  protected IConfig createConfig(INKFRequestContext aContext) throws Exception
    {
    mConfig = new HTTPBridgeOverlayConfig(getDelegateSpace(), getDelegateMeta(aContext), aContext, this);
    return mConfig;
    }

  @Override
  protected void destroyConfig(IConfig config) throws Exception
    {
    }

  }
