package org.netkernel.servlet.http;

//import org.netkernel.http.transport.representation.HTTPRequestResponseRepresentation;
import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFRequestReadOnly;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ServletAdapterAccessor extends StandardAccessorImpl
  {

  @Override
  public void onSource(INKFRequestContext context) throws Exception
    {
    System.out.println("onSource() ServletAdapter");
    System.out.println("New version");
    
    String identifier = context.getThisRequest().getIdentifier();
    System.out.println("After getting identifier");
    Object[] oArray = (Object[])context.getThisRequest().getPrimary();
    System.out.println("After getting primary");

    System.out.println("Requesting [" + identifier +"]");

    Object a = oArray[0];

    System.out.println(javax.servlet.http.HttpServletRequest.class.getClassLoader().toString());
    System.out.println((oArray[0]).getClass().getClassLoader().toString());

    HttpServletRequest servletRequest = (HttpServletRequest)oArray[0];
    HttpServletResponse servletResponse = (HttpServletResponse)oArray[1];

    System.out.println(servletRequest.getClass().getClassLoader().toString());


    INKFRequest subRequest = context.createRequest(identifier);
//    subRequest.addPrimaryArgument(new HTTPRequestResponseRepresentation(servletRequest,servletResponse));
    System.out.println("onSource() ServletAdapter about to issue subRequest [" + subRequest + "]");
    context.issueRequestForResponse(subRequest);
    System.out.println("onSource() ServletAdapter got response from subRequest");
    }
  }

