<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl">


  <xsl:template match="/">
    <html>
      <head/>
      <body>
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

	<xsl:template match="provider">
        <table>
          <tr><th>Prefix</th><th>Number</th><th>Suffix</th></tr>
          <xsl:apply-templates/>
        </table>
	</xsl:template>

  <xsl:template match="id">
    <tr>
      <td><xsl:value-of select="./prefix"/></td>
      <td><xsl:value-of select="./number"/></td>
      <td><xsl:value-of select="./suffix"/></td>
    </tr>
  </xsl:template>

</xsl:stylesheet>
